# Fetching a list of Workspace Resource Skills

Returns a list of Workspace Resource Skills that represent the skills associated with workspace
resources visible to the logged in user.


This endpoint returns structured Workspace Resource Skill objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_resource_skills top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /workspace_resource_skills
Version: 1.0.0

## Query parameters:

  - `by_skill_id` (integer)
    Only includes associated skill, by the skill ID.

  - `by_skill_ids` (string)
    Only includes associated skills. Input is a comma separated list of ids or an array.

  - `by_skill_name` (string)
    Only includes associated skills, by the name of the skill.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - References the user who has created the skill association.
- skill (Skill) - References the skill assigned to the object.
- workspace_resource (WorkspaceResource) - References the workspace resource who has been assigned the skill.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc, created_at:desc, skill_name:asc, and skill_name:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `workspace_resource_ids` (array)
    Only includes workspace resource skills assigned to a workspace resource, by workspace resource ID.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_resource_skills` (object)

  - `skills` (object)

  - `users` (object)

  - `workspace_resources` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


